Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get assignment

Prev Next

Available in Classic and VPC

Get assignment details.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/assignments/{assignmentId}

Request headers

For information about the headers common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
assignmentId String Required Assignment ID

Request example

The request example is as follows:

curl --location --request GET 'https://sso.apigw.ntruss.com/api/v1/assignments/e1653f17-****-****-****-deb664fb8a2f' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
assignmentId String - Assignment ID
assignmentName String - Assignment name
description String - Assignment description
nrn String - NAVER Cloud Platform resource identification value for assignment
status String - Assignment status
  • active | suspended
    • active: in use (enabled)
    • suspended: suspended (disabled)
iamRoleNrn String - NRN of the SSO role created in the Sub Account service
  • NAVER Cloud Platform resource identification value list for IAM role
consoleAccessAllowed Boolean - Whether to allow console access
  • true | false
    • true: allow
    • false: not allow
consoleAccessRestricted Boolean - Whether to restrict console access
  • true | false
    • true: restrict
    • false: not restrict
apiAccessAllowed Boolean - Whether to allow API Gateway access
  • true | false
    • true: allow
    • false: not allow
apiAccessRestricted Boolean - Whether to restrict API Gateway access
  • true | false
    • true: restrict
    • false: not restrict
createdAt String - Assignment creation date and time
  • ISO 8601 format
updatedAt String - Last assignment modification date and time
  • ISO 8601 format
accountMbrNo Number - Account member ID (MemberNo)
accountName String - Account username
accountAlias String - Account nickname
accountGroup String - Account group
accountType String - Account type
  • Master | Member
    • Master: master account
    • Member: member account
accountLoginId String - Account login ID
permissionSetId String - Permission set ID
permissionSetName String - Permission set name
permissionSetNrn String - NAVER Cloud Platform resource identification value for permission set
permissionSetDescription String - Permission set description
permissionCreatedAt String - Permission set creation date and time
  • ISO 8601 format

Response status codes

For information about the response status codes common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On response status codes.

Response example

The response example is as follows:

{
  "assignmentId" : "e1653f17-****-****-****-deb664fb8a2f",
  "assignmentName" : "assignment000",
  "description" : "assignment description",
  "nrn" : "nrn:PUB:SSO::*******:Assignment/e1653f17-****-****-****-deb664fb8a2f",
  "status" : "active",
  "iamRoleNrn" : "nrn:PUB:IAM::*******:Role/385550d0-****-****-****-005056a79baa",
  "consoleAccessAllowed" : true,
  "consoleAccessRestricted" : false,
  "apiAccessAllowed" : true,
  "apiAccessRestricted" : false,
  "createdAt" : "2025-01-13T02:36:40Z",
  "updatedAt" : "2025-01-13T02:36:40Z",
  "accountMbrNo" : *******,
  "accountName" : "Gildong Hong",
  "accountAlias" : "-",
  "accountGroup" : "-",
  "accountType" : "-",
  "accountLoginId" : "******@ncloud.com",
  "permissionSetId" : "3fcd3c17-****-****-****-2a594248bf28",
  "permissionSetName" : "permissionset000",
  "permissionSetNrn" : "nrn:PUB:SSO::*******:PermissionSet/3fcd3c17-****-****-****-2a594248bf28",
  "permissionSetDescription" : "permissionset000 description",
  "permissionCreatedAt" : "2025-01-03T02:26:47Z"
}